#ifndef __FINDP83_H
#define __FINDP83_H

#asm
FindPixel:
; d = y, c = y
; e = x, b = x
; d <-> c
; e <-> b
    ld      b, e
    ld      c, d
    ld      a,b
    ld      e,c
    ld      d,0     ; Do y*12
    sla     e
    sla     e
    ld      hl,0
    add     hl,de
    add     hl,de
    add     hl,de
	
	ld      d,0		; Do x/8
	ld      e,a
	srl     e
	srl     e
	srl     e
	add     hl,de
	ld      de,8e29h
	add     hl,de		; Add address to graphbuf

	ld      de,0007h	; Get the remainder of x/8
	and     e
    ld      e,a
    ld      IX,pixtable ; Look up in table pixel to set
    add     IX,de    
    ld      a,(IX+0)    ; and load this
	ret

pixtable: .db $80,$40,$20,$10,$08,$04,$02,$01
#endasm

#endif
